Subject: Re: bug#36914: Font Ligatures

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Aug 2019 18:32:52 +0300

> Date: Sun, 04 Aug 2019 03:05:28 +0000
> From: Charles Jackson <[email-masked]>
> 
> I would think that it should be able to be turned on and off. as well as each ligature should be able to be turned on and off. If someone likes "fi" but not "ffi" then they should be able to turn "ffi" off. I would also think that it should be mode specific: "fi" should be enabled for text-mode but not for any prog-mode. On the other hand a ligature for != (becoming a not equals sign) should be enabled for C like language modes but /= should form the same ligature for Haskell and Lisp.
> 
> Another important thing about ligatures that is different than pretty symbols mode is that the ligature should take up the same amount of space as the original characters. For example: the not equals ligature should not simply be the "≠" Unicode character because that only takes up one space but the original characters != or /= take up two spaces. this will solve the spacing (indenting) issue. Similarly the ligature for === in Javascript (that many programming ligature font enable) should take up a full three character widths.
> 
> What do you think?

First, please keep the bug address on the CC list (use "Reply to
All"), so that this discussion is recorded by our issue tracker.

More to the point, I think this makes the job somewhat complicated,
especially the "same amount of space" part, and hope that someone
volunteers to do it.

Thanks.